﻿@inherits UmbracoViewPage
@{
    var rootNode = Umbraco.AssignedContentItem.Root() as Home;

    var currentNodeAsTopDoctype = Umbraco.AssignedContentItem as Umbraco.Web.PublishedModels.ITop;
}

@if (Umbraco.AssignedContentItem is Home && (rootNode.BoVideoMp4 != null || rootNode.BoVideoWebm != null || rootNode.BoImage != null))
{

    var posterImage = rootNode.BoImage != null ? rootNode.BoImage.Url : string.Empty;
    var sliderBoxIcon = rootNode.BoSliderBoxIcon != null ? rootNode.BoSliderBoxIcon.Url : string.Empty;

    <section class="example no-padding">
        <article class="content">
            <div id="rev_slider_26_1_wrapper" class="rev_slider_wrapper fullscreen-container" data-alias="mask-showcase"
                 data-source="gallery" style=" background:#000000;padding:0px;">
                <!-- START REVOLUTION SLIDER 5.4.1 fullscreen mode -->
                <div id="rev_slider_26_1" class="rev_slider fullscreenbanner tiny_bullet_slider" style="display:none;"
                     data-version="5.4.1">
                    <ul>
                        <!-- SLIDE  -->
                        @if (rootNode.BoVideoMp4 == null && rootNode.BoVideoWebm == null)
                        {
                            <li style="background-image: url(@posterImage);
                                    background-position: center;
                                    background-size: cover;" data-index="rs-73" data-transition="fade" data-slotamount="default" data-hideafterloop="0"
                                data-hideslideonmobile="off" data-easein="default" data-easeout="default" data-masterspeed="300"
                                data-thumb="http://works.themepunch.com/revolution_5_3/wp-content/" data-rotate="0"
                                data-saveperformance="off" data-title="Slide" data-param1="" data-param2="" data-param3=""
                                data-param4="" data-param5="" data-param6="" data-param7="" data-param8="" data-param9=""
                                data-param10="" data-description="">
                                <!-- MAIN IMAGE -->
                                <!-- LAYERS -->
                                <div class="tp-caption rs-parallaxlevel-1 slider-content" id="slide-2730-layer-3"
                                     data-x="['left','left','center','center']" data-hoffset="['-50','50','0','0']"
                                     data-y="['middle','middle','middle','bottom']" data-voffset="['0','0','0','40']"
                                     data-width="['610', '490', '490', '400']"
                                     data-whitespace="nowrap" data-type="shape" data-responsive_offset="on"
                                     data-frames='[{"from":"y:[-100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;","mask":"x:0px;y:0px;s:inherit;e:inherit;","speed":1000,"to":"o:1;","delay":1500,"ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"to":"opacity:0;","ease":"Power4.easeIn"}]'
                                     data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]"
                                     data-paddingright="[0,0,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]"
                                     style="z-index: 2;text-transform:left;background-color:#fff;border-color:rgba(0, 0, 0, 0.50);border-width:0px;">
                                    <div class="sliderbox" style="padding-top: 20px;">
                                        <div style=" padding-left: 10%;
                                                     padding-right: 10%;"><img src="@(sliderBoxIcon)" alt="" style=""></div>
                                        <div class="slider-title" style="font-family: 'Bungee', cursive;
                                                                         font-weight: 500;
                                                                         font-size: 45px;
                                                                         color: #000;     
                                                                         padding-left: 10%;
                                                                         padding-right: 10%; 
                                                                         text-align: left;  
                                                                         line-height: 40px;">
                                            <h1>
                                                @{
                                                    if (!string.IsNullOrEmpty(rootNode.BoSliderBoxHeading))
                                                    {
                                                        string lastWord = rootNode.BoSliderBoxHeading.Split(' ').Last();
                                                        string firstwords = rootNode.BoSliderBoxHeading.Replace(lastWord, "");

                                                        @Html.ReplaceLineBreaksForHtml(firstwords)<span style="color: var(--var3)">@Html.ReplaceLineBreaksForHtml(lastWord)</span>
                                                    }
                                                }
                                            </h1>
                                        </div>
                                        <div style="    font-family: 'Roboto Mono', monospace;
                                            font-weight: 500;
                                            padding-bottom: 20px;
                                            font-size: 16px;
                                            color: #000;
                                            padding-top: 10px;
                                            padding-left: 10%;
                                            padding-right: 10%; 
                                            text-align: left;  
                                            line-height: 20px;">
                                            @Html.Raw(rootNode.BoxSliderBoxInfo)
                                        </div>
                                    </div>
                                 </div>
                    </li>
                }
                else
                {
                            <li>
                                <video class="bg-video" poster="@posterImage" id="bgvid" playsinline autoplay muted loop>
                                    @if (rootNode.BoVideoWebm != null)
                                    {
                                        <source src="@rootNode.BoVideoWebm.Url" type="video/webm">
                                    }
                                    @if (rootNode.BoVideoMp4 != null)
                                    {
                                        <source src="@rootNode.BoVideoMp4.Url" type="video/mp4">
                                    }
                                </video>
                                <div class="tp-caption rs-parallaxlevel-1 slider-content" id="slide-2730-layer-3"
                                     data-x="['left','left','center','center']" data-hoffset="['-50','50','0','0']"
                                     data-y="['middle','middle','middle','bottom']" data-voffset="['0','0','0','40']"
                                     data-width="['610', '490', '490', '400']"
                                     data-whitespace="nowrap" data-type="shape" data-responsive_offset="on"
                                     data-frames='[{"from":"y:[-100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;","mask":"x:0px;y:0px;s:inherit;e:inherit;","speed":1000,"to":"o:1;","delay":1500,"ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"to":"opacity:0;","ease":"Power4.easeIn"}]'
                                     data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]"
                                     data-paddingright="[0,0,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]"
                                     style="z-index: 2;text-transform:left;background-color:#fff;border-color:rgba(0, 0, 0, 0.50);border-width:0px;">
                                    <div class="sliderbox" style="padding-top: 20px;">
                                        <div style=" padding-left: 10%;
                                                     padding-right: 10%;"><img src="@(sliderBoxIcon)" alt="" style=""></div>
                                        <div class="slider-title" style="font-family: 'Bungee', cursive;
                                                                         font-weight: 500;
                                                                         font-size: 45px;
                                                                         color: #000;
                                                                         padding-left: 10%;
                                                                         padding-right: 10%;
                                                                         text-align: left;
                                                                         line-height: 40px;">
                                            <h1>
                                                @{
                                                    if (!string.IsNullOrEmpty(rootNode.BoSliderBoxHeading))
                                                    {
                                                        string lastWord = rootNode.BoSliderBoxHeading.Split(' ').Last();
                                                        string firstwords = rootNode.BoSliderBoxHeading.Replace(lastWord, "");

                                                        @Html.ReplaceLineBreaksForHtml(firstwords)<span style="color: var(--var3)">@Html.ReplaceLineBreaksForHtml(lastWord)</span>
                                                    }
                                                }
                                            </h1>
                                        </div>
                                        <div style="    font-family: 'Roboto Mono', monospace;
                                            font-weight: 500;
                                            padding-bottom: 20px;
                                            font-size: 16px;
                                            color: #000;
                                            padding-top: 10px;
                                            padding-left: 10%;
                                            padding-right: 10%;
                                            text-align: left;
                                            line-height: 20px;">
                                            @Html.Raw(rootNode.BoxSliderBoxInfo)
                                        </div>
                                    </div>
                                </div>

                            </li>
                }

                    </ul>
                </div>
            </div>
        </article>
    </section>
}



